- Qt 6.9
- Qt Qml
- C++ Classes
- QQmlListProperty
- Qt 6.9.3 Reference Documentation

# Obsolete Members for QQmlListProperty

The following members of class QQmlListProperty are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` | QQmlListProperty(QObject *object, QList<T *> &list)

## Member Function Documentation

### `[default, deprecated]` QQmlListProperty::QQmlListProperty(QObject *object, QList<T *> &list)

This function is deprecated. We strongly advise against using it in new code.

Convenience constructor for making a QQmlListProperty value from an existing QList list. The object owning the list and the list itself must be provided and kept alive as long as you are holding a QQmlListProperty referring to them.

This constructor synthesizes the removeLast() and replace() methods introduced in Qt 5.15, using count(), at(), clear(), and append(). This is slow. If you intend to manipulate the list beyond clearing it, you should explicitly provide these methods.